## neutron 2015.1.2

=== neutron/plugins/ml2/drivers/cisco/requirements.txt ===
networking-cisco

=== debian/changelog ===
neutron (1:2015.1.2-0ubuntu2) vivid; urgency=medium

  * Fix DHCP agent delete non-existant interface (LP: #1498370)
    - d/p/dhcp-protect-against-case-when-device-name-is-none.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 10 Nov 2015 00:11:31 +0000

neutron (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (7dbaa12) (LP: #1506058):
    - [7dbaa12] Changed filter field to router_id
    - [6c55f58] Do not log an error when deleting a linuxbridge does not exist
    - [118a76f] metadata: don't crash proxy on non-unicode user data
    - [eec8c50] Only get host data for floating ips on DVR routers
    - [9950ce2] Update dhcp host portbinding on failover
    - [1c87d72] func: Don't use private method of AsyncProcess
    - [834279c] Allow setting Agents description to None
    - [2f85b22] Process user iptables rules before INVALID
    - [f232475] Execute ipset command using check_exit_code
    - [d78899d] Don't write DHCP opts for SLAAC entries
    - [cb0554f] Check idl.run() return value before blocking
    - [2224851] Stop sending gratuitous arp when ip version is 6
    - [96276d5] Fix _ensure_default_security_group logic
    - [66a5116] Remove hack for sending gratuitous arp from fip ns
    - [2394418] populate port security default into network
    - [fc1c812] Remove early yields in _iter_hosts in dhcp agent
    - [2ead51a] Enable servicing lbaasV2 vip by DVR
    - [9498ea2] Descheduling DVR routers when ports are unbound from VM
    - [c74b05e] Bug-Fix for unexpected DHCP agent redundant
    - [e6a0e7d] Switch to dictionary for iptables find
    - [c377330] Add configurable options for HA networks
    - [114949b] Fix ipset can't be destroyed when last rule is deleted
    - [aba5e82] Updated NSXv plugin parameter descriptions
    - [d1a48f7] ovs: don't use ARP responder for IPv6 addresses
    - [4d15b6f] Configure gw_iface for RAs only in Master HA Router
    - [6975b2b] Register extraroute extension
    - [19d5ba4] Broadcast service port's arp in DVR
    - [767cea2] Stop device_owner from being set to 'network:*'
    - [2a6b34e] Fix a wrong condition for the _purge_metering_info function
    - [bf28c72] Add ARP spoofing protection for LinuxBridge agent
    - [635d5cf] Correct neutron-ns-metadata-proxy command when watch_log is
                False
    - [cc791b0] Fix usage of netaddr '.broadcast'
    - [f57a90a] Switch to using os-testr's copy of subunit2html
    - [c1201a2] Add optional file permission argument to replace_file()
    - [533900c] Adding loadbalanacerv2 device owner constant to neutron
                constants
    - [2a00016] Don't fatal error during initialization for missing service
                providers
    - [7c2727c] Update port bindings for master router
    - [6298a90] Setup reference service providers for API test runs
    - [6167d44] Move away nested transaction from _ensure_default_security_group
    - [c129bfa] Reject router-interface-add with a port which doesn't have any
                addresses
    - [770a105] SR-IOV: Fix SR-IOV agent to run ip link commands as root
    - [a0632d7] Catch ObjectDeletedError and skip port or subnet removal
    - [c4c8686] Cleanup stale metadata processes on l3 agent sync
    - [0c22d15] Bump stable/kilo next version to 2015.1.2
    - [4f9409d] lb-agent: ensure tap mtu is the same as physical device
    - [5d38dc5] Adds garp_master_repeat and garp_master_refresh to
                keepalived.conf
    - [e759c1c] Lower log level of errors caused by user requests to INFO
    - [1a1cc3d] Fix race condition by using lock on enable_radvd
    - [5827664] Remove bridge cleanup call
    - [23f5134] Added networking-plumgrid in plugin requirements

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Oct 2015 08:56:04 -0400

neutron (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/neutron-pluging-linuxbridge-agent.init.in: Ensure that the right
      binary is used for neutron-plugin-linuxbridge-agent (LP: #1453188).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Aug 2015 11:23:17 -0400

neutron (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (1a46332) (LP: #1481008):
    - [9a23445] When disabling dhcp, delete fixed ip properly
    - [f9b7c2e] Moving out the cisco n1kv section to stackforge
    - [478f4e8] Arista ML2 driver should ignore non-vlan networks
    - [e8bfd4b] dhcp fails if extra_dhcp_opts for stateless subnet enabled
    - [ae5ffa3] Fix test discovery for api and functional paths
    - [9f74875] NSX QoS ext: RXTX factor can be decimal
    - [29c3f7a] In Arista ML2 driver Reconfigure VLAN on VM migration
    - [c2f2281] Avoid synchronizing session when deleting networkdhcpagentbinding
    - [71a6b65] Increase max attempts to 2 for pings on ARP tests
    - [5eff001] Fix failures introduced by the new version of mock
    - [97448d5] Catch broad exception in methods used in FixedIntervalLoopingCall
    - [0292876] Fix callback registry notification for security group rule
    - [86f80d4] Add security groups events
    - [86584f5] Avoid double-hopping deletes for security group rules
    - [68459f9] fix DHCP port changed when dhcp-agent restart
    - [4e2148e] Fix FloatingIP Namespace creation in DVR for Late Binding
    - [529dbc1] Fix tenant-id in Arista ML2 driver to support HA router
    - [88d76bc] Skip ARP protection if 0.0.0.0/0 in addr pairs
    - [469a7ec] Optimize ipset usage in IptablesFirewallDriver
    - [9ff6138] Provide work around for 0.0.0.0/0 ::/0 for ipset
    - [b2f717a] Fix l3 agent to not create already deleted router
    - [151b28c] Wrap ML2 delete_port with db retry decorator
    - [d71d716] Disable keepalived process in keepalived func test
    - [cca48ad] Ensure non-overlapping cidrs in subnetpools without galera


=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu4~),
 python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 python-cliff (>= 1.10.1),
 python-coverage (>= 3.6),
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.10.0),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-jinja2 (>= 2.6),
 python-jsonrpclib,
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-mock (>= 1.0),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.11),
 python-novaclient (>= 1:2.18.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-requests (>= 2.2.0),
 python-requests-mock (>= 0.5.1),
 python-retrying (>= 1.2.3),
 python-routes (>= 1.12.3),
 python-setuptools,
 python-simplejson,
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-subunit (>= 0.0.18),
 python-tempest-lib (>= 0.3.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 testrepository ( >= 0.0.18)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/kilo
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-server (<< 1:2013.2~b2-0ubuntu1~)
Replaces: quantum-server (<< 1:2013.2~b2-0ubuntu1~)
Recommends: neutron-plugin-ml2
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 python-neutron (= ${source:Version}),
 python-neutron-fwaas,
 ${misc:Depends},
 ${python:Depends}
Breaks:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
 quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Replaces:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
 quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 0.6),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-plugin-cisco
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Cisco plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Cisco plugin.

Package: neutron-plugin-nec
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 neutron-plugin-nec,
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin agent.

Package: neutron-plugin-bigswitch
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: neutron-plugin-bigswitch-agent
Architecture: all
Depends:
 neutron-plugin-bigswitch (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin agent.

Package: neutron-plugin-brocade
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Brocade plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: neutron-plugin-plumgrid
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - PLUMgrid plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the PLUMgrid plugin.

Package: neutron-plugin-metaplugin
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Metaplugin plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Metaplugin plugin.

Package: neutron-plugin-vmware
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
Description: Neutron is a virtual network service for Openstack - VMware plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin/neutron-vpn-agent \
		-X/usr/bin/neutron-lbaas-agent -X/usr/bin/neutron-hyperv-agent

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-plugin-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-plugin-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch neutron configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch
	rm -rf .testrepository
	testr init && \
    set -e && \
    TEMP_REZ=`mktemp -t` && \
    testr run --subunit neutron.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats; \
	rm -f $$TEMP_REZ ; \
	testr slowest; \
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-neutron-configuration.patch
endif

=== debian/tests/control ===
Tests: neutron-server python-neutron cisco-plugin
 ml2-plugin neutron-agents
Depends: neutron-server, rabbitmq-server, mysql-server, python-mysqldb
Restrictions: needs-root allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/neutron neutron-(\d.*)\.tar\.gz

## neutron 2015.1.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=0.7,<1.0,>=0.6

Paste
PasteDeploy>=1.5.0
Routes!=2.0,<2.3.0,>=1.12.3
eventlet!=0.17.0,>=0.16.1
greenlet>=0.3.2
httplib2>=0.7.5
requests!=2.4.0,<2.8.0,>=2.2.0
jsonrpclib
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware<1.6.0,>=1.5.0
netaddr>=0.7.12
python-neutronclient<2.5.0,>=2.4.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
SQLAlchemy<=0.9.99,>=0.9.7
WebOb>=1.2.3
python-keystoneclient<1.4.0,>=1.2.0
alembic<0.8.1,>=0.7.2
six>=1.9.0
stevedore<1.4.0,>=1.3.0 # Apache-2.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.context<0.3.0,>=0.2.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0

python-novaclient<2.24.0,>=2.22.0

=== debian/changelog ===
neutron (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/p/ovs-restart.patch: Dropped. Fixed in upstream stable release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 May 2016 10:24:30 -0400

neutron (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  [ Corey Bryant ]
  * d/tests/neutron-agents: Give daemon 5 seconds to start to prevent race.

  [ James Page ]
  * New upstream stable release (LP: #1559215):
    - d/p/dhcp-protect-against-case-when-device-name-is-none.patch: Dropped,
      included upstream.
  * Ensure tunnels are fully reconstructed after openvswitch restarts
    (LP: #1460164):
    - d/p/ovs-restart.patch: Cherry picked from upstream review.

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:55:35 +0000
